Package ghidra.app.cmd.refs

# Class AssociateSymbolCmd

java.lang.Object
ghidra.app.cmd.refs.AssociateSymbolCmd

All Implemented Interfaces:
  `Command`

public class AssociateSymbolCmd extends Object implements Command
Command class for associating a reference with a specific label

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssociateSymbolCmd(Reference ref, Namespace scope)`
  Constructor.
  `AssociateSymbolCmd(Reference ref, String symbolName)`
  Create a associate symbol command for a global symbol
  `AssociateSymbolCmd(Reference ref, String symbolName, Namespace scope)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssociateSymbolCmd

    public AssociateSymbolCmd(Reference ref, Namespace scope)
    Constructor.
    Parameters:
      `ref` - the reference to associate with a symbol
      `scope` - scope that has the symbol to associate with the reference

  - ### AssociateSymbolCmd

    public AssociateSymbolCmd(Reference ref, String symbolName, Namespace scope)
    Constructor
    Parameters:
      `ref` - the reference to associate with a symbol
      `symbolName` - the name of the symbol with which to associate the reference.
      `scope` - scope of the symbol with the given symbolName

  - ### AssociateSymbolCmd

    public AssociateSymbolCmd(Reference ref, String symbolName)
    Create a associate symbol command for a global symbol
    Parameters:
      `ref` -
      `symbolName` -

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command`
    Parameters:
      `obj` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully
    See Also:
      - `Command.applyTo(ghidra.framework.model.DomainObject)`

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command`
    Returns:
      reason for failure, or null if the status of the command was successful
    See Also:
      - `Command.getStatusMsg()`

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command`
    Returns:
      the name of this command
    See Also:
      - `Command.getName()`